<template>
  <div>
    {{orders}}
    <center>
      <el-form :model="api" status-icon :rules="rules" ref="ruleForm" label-width="100px" class="demo-ruleForm">
        <el-form-item label="订单编号" prop="ordersNum" style="width: 70% " >
          {{orders.ordersNum}}
        </el-form-item>
        <el-form-item label="订单产品" prop="productName" style="width: 70%">
          {{orders.productName}}
        </el-form-item>
        <el-form-item label="订单所属人" prop="productType" style="width: 70%">
          {{orders.productType}}
        </el-form-item>
        <el-form-item label="订单金额" prop="productContent" style="width: 70%">
          {{orders.productContent}}
        </el-form-item>
        <el-form-item label="订单规格" prop="productSales" style="width: 70%">
          {{orders.productSales}}
        </el-form-item>
        <el-form-item label="订单款项状态" prop="productPrice" style="width: 70%">
          {{orders.productPrice}}
        </el-form-item>
        <el-form-item label="订单日期" prop="productFrom" style="width: 70%">
          {{orders.productFrom}}
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="submitForm('ruleForm')">返回</el-button>
        </el-form-item>
      </el-form>
    </center>
  </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）,
//例如：import 《组件名称》 from '《组件路径》,
export default {
  name: "Apidetailmessage",
  //import引入的组件需要注入到对象中才能使用"
  components: {},
  props: {},
  data() {
    //这里存放数据"
    return {
      orders:{}
    };
  },
  //计算属性 类似于data概念",
  computed: {},
  //监控data中的数据变化",
  watch: {},
  //方法集合",
  methods: {
    submitForm(){
      this.$router.push("/apimanage/index")
    }
  },
  //生命周期 - 创建完成（可以访问当前this实例）",
  created() {
  },
  //生命周期 - 挂载完成（可以访问DOM元素）",
  mounted() {
    this.api = this.$route.query.api
  },
  beforeCreate() {
  }, //生命周期 - 创建之前",
  beforeMount() {
  }, //生命周期 - 挂载之前",
  beforeUpdate() {
  }, //生命周期 - 更新之前",
  updated() {
  }, //生命周期 - 更新之后",
  beforeDestroy() {
  }, //生命周期 - 销毁之前",
  destroyed() {
  }, //生命周期 - 销毁完成",
  activated() {
  } //如果页面有keep-alive缓存功能，这个函数会触发",
};
</script>
<style scoped>

</style>
